#!/usr/bin/env babel-node
const path = require('path')
const lambdaLocal = require('lambda-local')
const argv = require('minimist')(process.argv.slice(2))
const events = require(path.join(process.cwd(), 'lambda.local.js'))
const eventName = argv._[0]
const event = events[eventName]
const lambdaPath = path.join(process.cwd(), argv.lambda || 'bundle')

if (argv.verbose) {
  console.info('Emulating API Gateway Lambda Proxy')
  console.info('lambdaPath', lambdaPath)
  console.info(JSON.stringify(event, null, 2))
}

lambdaLocal.execute({
  event,
  lambdaPath,
  profileName: 'cdrpg',
  timeoutMs: 3000,
  mute: false
}).then((response) => {
  console.info('=================================================================================')
  console.info('RESPONSE')
  console.info('=================================================================================')
  console.info(JSON.stringify(response, null, 2))
}).catch((err) => {
  console.error(err)
})
